import { UserRepository } from '@app/domain/users/user.repository';
import { User } from '@app/domain/users/user.model';

export class UpdateUserUseCase {
  constructor(private readonly repo: UserRepository) {}
  execute(userId: string, user: Partial<User>) {
    return this.repo.update(userId, user);
  }
}
